<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>vodcms.com</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<link href="../../images/admin/public.css" rel="stylesheet" type="text/css" />
<link href="../../images/admin/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check(){
	if (document.form1.pass.value.length == ''){
		alert('请输入您帐户当前的登录密码!');
		document.form1.pass.focus();
		return false;
	}
	if (document.form1.newpwd.value.length ==''){
		alert('请输入新密码!');
		document.form1.newpwd.focus();
		return false;
	}else{
		var re = /(\w+){5,30}/g;
		if (!re.test(document.form1.newpwd.value)){
			alert('新密码格式不正确!请填写5-30字符内的数字或者字母组合!');
			document.form1.newpwd.focus();
			return false;
		}
	}
	if (document.form1.repwd.value.length == ''){
		alert('请在输入一次新密码!');
		document.form1.repwd.focus();
		return false;
	}else{
		if (document.form1.repwd.value != document.form1.newpwd.value){
			alert('两次密码输入不一致!');
			document.form1.repwd.focus();
			return false;
		}
	}
	return true;
}
</script>
<body>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr align="center" valign="top">
    <td width="*" align="center" valign="top"><!-- ######### begin ######### -->
      <div class="Block">
        <div class="BlockBar">修改管理员登录资料</div>
        <form id="form1" name="form1" method="post" action="<?php echo $this->installdir;?>administrator/modifypass/" onsubmit="return check();">
          <table width="98%" border="0" align="center" cellpadding="1" cellspacing="1" class="tab">
            <tr class="row">
              <td width="16%" align="right" class="align-right">登陆账户：</td>
              <td width="84%"><?php echo $this->username;?></td>
            </tr>
            <tr class="row">
              <td align="right" class="align-right">当前密码：</td>
              <td><input name="pass" type="password"  id="pass" style="width:150px;" />
                *现在您使用的密码</td>
            </tr>
            <tr class="row">
              <td align="right" class="align-right">新密码：</td>
              <td><input name="newpwd" type="password" id="newpwd" style="width:150px;" value="" />
                * 6-30个字符的数字、字母或者数字字母组合 </td>
            </tr>
            <tr class="row">
              <td align="right" class="align-right">在输入一次新密码：</td>
              <td><input name="repwd" type="password" id="repwd" value="" style="width:150px;" />
                *在输入一次新密码，确保您没有输入错误</td>
            </tr>
            <tr class="row">
              <td align="right" class="align-right">&nbsp;</td>
              <td><input type="submit" class="btn" value="提交" />
                <input type="hidden" name="id" value="<?php echo $this->modify['id'];?>" />
                <input name="Submit" type="button" class="btn" onclick="history.back();" value="返回上一页" /></td>
            </tr>
          </table>
        </form>
      </div>
      <div id="App-Version-Prompt" style="display:none;">
        <div class="space"></div>
        <div class="Block">
          <div class="BlockBar">版本更新信息</div>
          <div class="BlockContent" id="App-Version-Prompt-Body" style="padding:20px 5px 20px 5px; text-align:center; background:#FFFFCC;">loading...</div>
        </div>
      </div>
      <!-- ########## end ########## -->
    </td>
  </tr>
</table>
<?php
echo $this->render('copyright');
?>
</body>
</html>
